from main import stinker, htp, HOME_DIR
from datetime import datetime
import pytz, json

tz = pytz.timezone('Europe/Sofia')


def get():
    data = htp()
    data["air_pollution"] = stinker()
    data["time"] = datetime.now(tz).strftime("%H:%M:%S")
    return data

def daily():
    data = get()
    with open("{HOME_DIR}/api/daily.json", "r+") as f:
        f_data = json.load(f)
        f_data[date] = data
        f.seek(0)
        json.dump(f_data, f, indent=4)
        f.close()


def manual():
    data = get()

    with open(f"{HOME_DIR}/api/all.json", "r+") as f:
        f_data = json.load(f)
        f_data[f'{datetime.now(tz).strftime("%H:%M:%S")}&{datetime.now(tz).strftime("%x")}'] = data
        f.seek(0)
        json.dump(f_data, f, indent=4)
        
    print("Saved")


